#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 ghcide
version:              1.9.1.0
visibility:           public
id:                   ghcide-1.9.1.0-5o4gFuqGyA5Fz8oWZNeriQ
key:                  ghcide-1.9.1.0-5o4gFuqGyA5Fz8oWZNeriQ
license:              Apache-2.0
copyright:            Digital Asset and Ghcide contributors 2018-2020
maintainer:           Ghcide contributors
author:               Digital Asset and Ghcide contributors
homepage:
    https://github.com/haskell/haskell-language-server/tree/master/ghcide#readme

synopsis:             The core of an IDE
description:          A library for building Haskell IDE'\''s on top of the GHC API.
category:             Development
abi:                  8c55a0e46668d32bf3a1658e3d2a633d
exposed:              True
exposed-modules:
    Control.Concurrent.Strict Development.IDE
    Development.IDE.Core.Actions Development.IDE.Core.Compile
    Development.IDE.Core.Debouncer Development.IDE.Core.FileStore
    Development.IDE.Core.FileUtils
    Development.IDE.Core.IdeConfiguration
    Development.IDE.Core.OfInterest
    Development.IDE.Core.PositionMapping
    Development.IDE.Core.Preprocessor
    Development.IDE.Core.ProgressReporting
    Development.IDE.Core.RuleTypes Development.IDE.Core.Rules
    Development.IDE.Core.Service Development.IDE.Core.Shake
    Development.IDE.Core.Tracing Development.IDE.Core.UseStale
    Development.IDE.GHC.Compat Development.IDE.GHC.Compat.Core
    Development.IDE.GHC.Compat.Env Development.IDE.GHC.Compat.Iface
    Development.IDE.GHC.Compat.Logger
    Development.IDE.GHC.Compat.Outputable
    Development.IDE.GHC.Compat.Parser
    Development.IDE.GHC.Compat.Plugins Development.IDE.GHC.Compat.Units
    Development.IDE.GHC.Compat.Util Development.IDE.GHC.CoreFile
    Development.IDE.GHC.Error Development.IDE.GHC.Orphans
    Development.IDE.GHC.Util
    Development.IDE.Import.DependencyInformation
    Development.IDE.Import.FindImports
    Development.IDE.LSP.HoverDefinition
    Development.IDE.LSP.LanguageServer
    Development.IDE.LSP.Notifications Development.IDE.LSP.Outline
    Development.IDE.LSP.Server Development.IDE.Main
    Development.IDE.Main.HeapStats Development.IDE.Monitoring.EKG
    Development.IDE.Monitoring.OpenTelemetry Development.IDE.Plugin
    Development.IDE.Plugin.Completions
    Development.IDE.Plugin.Completions.Types Development.IDE.Plugin.HLS
    Development.IDE.Plugin.HLS.GhcIde Development.IDE.Plugin.Test
    Development.IDE.Plugin.TypeLenses Development.IDE.Session
    Development.IDE.Spans.AtPoint Development.IDE.Spans.Common
    Development.IDE.Spans.Documentation
    Development.IDE.Spans.LocalBindings Development.IDE.Spans.Pragmas
    Development.IDE.Types.Diagnostics Development.IDE.Types.Exports
    Development.IDE.Types.HscEnvEq Development.IDE.Types.KnownTargets
    Development.IDE.Types.Location Development.IDE.Types.Logger
    Development.IDE.Types.Monitoring Development.IDE.Types.Options
    Development.IDE.Types.Shake Generics.SYB.GHC Text.Fuzzy.Parallel

hidden-modules:
    Development.IDE.Core.FileExists Development.IDE.GHC.CPP
    Development.IDE.GHC.Warnings
    Development.IDE.Plugin.Completions.Logic
    Development.IDE.Session.VersionCheck Development.IDE.Types.Action

import-dirs:          /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
library-dirs:         /usr/lib/ghc-9.2.8/site-local/ghcide-1.9.1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-ghcide
hs-libraries:         HSghcide-1.9.1.0-5o4gFuqGyA5Fz8oWZNeriQ
depends:
    Diff-0.4.1-B9thiVs2y2uAiqx3tkly0v
    Glob-0.10.2-IV3EMKztTxU6CHYEAa9DJ0
    aeson-2.1.2.1-9cB9LJUUgPXJU8E7LnOs6Q
    aeson-pretty-0.8.10-IxcORLmRmlBKnf4CI1zvGP array-0.5.4.0
    async-2.2.5-L1pFc6v09ikFDHHjgXlurp base-4.16.4.0
    base16-bytestring-1.0.2.0-2zrcaj2dASWLOg7ed8DTQL binary-0.8.9.0
    bytestring-0.11.4.0 case-insensitive-1.2.1.0-GWeOjNQL6o11YPoz7mZGER
    co-log-core-0.3.2.1-7JZBDXVX58r8HuUo9Uiiik containers-0.6.5.1
    cryptohash-sha1-0.11.101.0-4PsEfYZm8epDMGj6UilIWz
    data-default-0.7.1.1-LSJh75QrCu1H2SWBLBb1YB deepseq-1.4.6.1
    dependent-map-0.4.0.0-E4V7eZNsGfAE0Qi5naWKpp
    dependent-sum-0.7.2.0-BFNXJeg84kB5WTiKimF0mH directory-1.3.6.2
    dlist-1.0-HCxoMn9TirQDgPCFxho7O
    enummapset-0.7.2.0-4nJ0F1JY6dR4NQYx71ACFb exceptions-0.10.4
    extra-1.7.14-DA6OxIljaar6G900XWMNnS filepath-1.4.2.2
    fingertree-0.1.5.0-632dat8ZnXXLYJBA1qq9rj
    focus-1.0.3.2-Dn0jPsm1wBd6imF8XH0DOB ghc-9.2.8 ghc-boot-9.2.8
    ghc-boot-th-9.2.8 ghc-check-0.5.0.8-3NL274RhyXKKLcQqLFYB7U
    ghc-paths-0.1.0.12-KU8OzVy7s6GithbR4F0cp
    ghc-trace-events-0.1.2.8-AXrbrbo7fa5AubaYk3VnX7
    haddock-library-1.11.0-EvXyBg13w5zH1LaafIqRsu
    hashable-1.4.3.0-4gqtyFKn8Wu9OwsZtyYGdt
    hie-bios-0.11.0-6FglA3VaJ7fANWjji63w1L
    hie-compat-0.3.0.0-J18lPJVEz9RKJxYK1ST1Nn
    hiedb-0.4.2.0-1E24d15LSPNIvYgQ13Melb
    hls-graph-1.9.0.0-JDXQ5bSEETP7Vxr7hh7XHh
    hls-plugin-api-1.6.0.0-6FEAipTpXUEHjy93Ma5XI7
    hslogger-1.3.1.0-LGXq0Irhzb534fxuYt7u8c
    implicit-hie-0.1.2.7-2xQpXoKpSzc88JxEVo1dmN
    implicit-hie-cradle-0.5.0.1-EZTooe9m41L67jY8BtEear
    lens-5.2.3-9P580XXoMWJKBWBOAaGjmv
    list-t-1.0.5.4-Jy55HCiGeGnGP6u01xV7P9
    lsp-1.6.0.0-FiC2LDQ5Y3jLv2AibDRn0B
    lsp-types-1.6.0.0-4PRA1dQzBjlGdaaeXufhlL mtl-2.2.2
    opentelemetry-0.8.0-HPecc37BAVE8t5psjRWOwz
    optparse-applicative-0.17.1.0-Jx8WaQbsFK9BJBRr9ePa2T
    parallel-3.2.2.0-KgDyPHm89eYAjQsIhXthC1
    prettyprinter-1.7.1-7Wok6oG3IilAIVq0CbNkAO
    prettyprinter-ansi-terminal-1.1.3-i8DJ62MtueDpX4XpOpoy9
    random-1.2.1.2-LCKSS7rEcRbACR8x8dKjFH
    regex-tdfa-1.3.2.2-FljQDtn1jFPA11IjVCWenU
    safe-exceptions-0.1.7.4-FCW7MItVrXL2CZzgfrZhH0
    sorted-list-0.2.2.0-41XPxeYLLUnGQeEO6eeM9Z
    sqlite-simple-0.4.19.0-IvQAkvIH0yYyVsGdW9ke9 stm-2.5.0.2
    stm-containers-1.2.0.3-Gdli2c3XXt4Gcujx9aiUk2
    syb-0.7.2.4-IT59ozboet0H3NdhoNJGts text-1.2.5.0
    text-rope-0.2-AvsDTmFZz4PG9BGi4lmkBx time-1.11.1.1
    transformers-0.5.6.2 unix-2.7.2.2
    unliftio-0.2.25.0-INoatlssrBVAcEPI6HA5Cp
    unliftio-core-0.2.1.0-2wlRerPMhUe3AYGiMsYOzn
    unordered-containers-0.2.20-51DmuLN2CgdLFo3pmQx1qE
    vector-0.13.1.0-FuSYSqJEiCU51oStZmHlCe

haddock-interfaces:   /usr/share/doc/haskell-ghcide/html/ghcide.haddock
haddock-html:         /usr/share/doc/haskell-ghcide/html
' | '/usr/bin/ghc-pkg-9.2.8' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

